-- Author      : jkonkle
-- Create Date : 6/24/2009 12:52:31 PM
-- Data functions and handlers

-- REGISTER_VARIABLES
-- This performs the variable registration and initialisation for session
function DALoot:RegisterVariables()
	self.data={}
-- VARIABLES
-- bDoingLoot is a flag indicating current in the middle of the bidding process
-- timerBid is the timer object using to schedule the timer delay
	self.data.bDoingLoot=false
	self.data.timerBid=nil
	self.data.strItem=nil
-- TABLES
	self.data.tableGroup={}
	self.data.OMGRolls={}
	self.data.MainRolls={}
	self.data.OffRolls={}
	self.data.playersBid={}
	self.data.mapFilter={
		"Emblem of Valor",
		"Abyss Crystal",
		"Runed Dragon's Eye",
		"Emblem of Heroism"
	}
        self.data.Wins={0,0,0}
	DALoot.data.Players={}  -- List of Players and their loot rolls.

    -- used for history and current
    -- can use icon tag with path to icon = icon = "Interface\\Icons\\INV_Drink_05",
    -- can use disabled="true" to disable a node
    tree = { 
        {
            value = "BaradinHold",
            text = "Baradin Hold",
            children = {
                {
                    value = "Argaloth",	
                    text = "Argaloth"
                }
            }
        },
        {
            value = "BlackwingDescent",
            text = "Blackwing Descent",
            children = {
                {
                    value = "BDMagmaw",
                    text = "Magmaw",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                },
                {
                    value = "BDOmnotron",
                    text = "Omnotron Defense System",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                },
                {
                    value = "BDMaloriak",
                    text = "Maloriak",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                },
                {
                    value = "BDAtramedes",
                    text = "Atramedes",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                },
                {
                    value = "BDChimaeron",
                    text = "Chimaeron",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                },
                {
                    value = "BDNefarian",
                    text = "Nefarian",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                },
                {
                    value = "BDTrash",
                    text = "Trash",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                }
            }
        },
        { 
            value = "TheBastionOfTwilight", 
            text = "The Bastion of Twilight",
            children = {
                {
                    value = "BoTWyrmbreaker",
                    text = "Halfus Wyrmbreaker",
                    children = {
                        {
                        value = "Normal",
                        text = "Normal"
                        },
                        {
                        value = "Heroic",
                        text = "Heroic"
                        }
                    }
                }
            }
        },
    }

end

DA_DEBUG = false

MSG_CHEAT = "Ignoring %s's roll of %s (%s-%s)."  -- (player, roll, max_roll, min_roll)
MSG_DUPE = "%s has rolled more than once!"  -- (player)
MSG_ACK = "Got your roll (%s).  Good luck!"  -- (roll)
MSG_ACK_PASS = "You have passed on this roll."  -- (pass)
MSG_WINNER = "%s won %s with a roll of %s!  (%s-%s)"  -- (player, item, roll, min, max)
MSG_ROLLS = "%s: %s rolled %s"  -- (roll posistion, player, roll)
