local UPDATEPERIOD, elapsed = 0.5, 0
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local dataobj = ldb:NewDataObject("DALoot", {type = "data source", text = "DALoot", 
    OnClick = function(self, button)
        -- Modifier keys if I want to use them later -- if IsShiftKeyDown() or IsControlKeyDown() then
        if button == "LeftButton" then
            DALoot:ShowMainWindow()
        elseif button == "RightButton" then
            InterfaceOptionsFrame_OpenToCategory(DALoot.optionsFrame)
        -- elseif button == "MiddleButton" then
        end
    end
})
local f = CreateFrame("frame")

f:SetScript("OnUpdate", function(self, elap)
	elapsed = elapsed + elap
	if elapsed < UPDATEPERIOD then return end

--	elapsed = 0
--	local fps = GetFramerate()
--	dataobj.text = string.format("%.1f FPS", fps)
end)

function dataobj:OnTooltipShow()
    self:AddLine("DALoot")
    if (DALoot.db.profile.enablePriority) then
        self:AddLine("Priority Wins:    "..DALoot.data.Wins[1])
    end

    self:AddLine("Main Spec Wins:   "..DALoot.data.Wins[2])
    self:AddLine("Off Spec Wins:    "..DALoot.data.Wins[3])

    self:AddLine("")
    self:AddLine("Left click for main window.")
    self:AddLine("Right click for config.")
end

function dataobj:OnEnter()
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("TOPLEFT", self, "BOTTOMLEFT")
	GameTooltip:ClearLines()
	dataobj.OnTooltipShow(GameTooltip)
	GameTooltip:Show()
end

function dataobj:OnLeave()
	GameTooltip:Hide()
end